hwloc_obj_attr_u::hwloc_cache_attr_s Struct Reference

`#include <hwloc.h>`

## Data Fields

hwloc_uint64_t | size
unsigned | depth
unsigned | linesize
int | associativity
hwloc_obj_cache_type_t | type

## Detailed Description

Cache-specific Object Attributes.

## Field Documentation

int hwloc_obj_attr_u::hwloc_cache_attr_s::associativity

Ways of associativity, -1 if fully associative, 0 if unknown.

unsigned hwloc_obj_attr_u::hwloc_cache_attr_s::depth

Depth of cache (e.g., L1, L2, ...etc.)

unsigned hwloc_obj_attr_u::hwloc_cache_attr_s::linesize

Cache-line size in bytes. 0 if unknown.

hwloc_uint64_t hwloc_obj_attr_u::hwloc_cache_attr_s::size

Size of cache in bytes.

hwloc_obj_cache_type_t hwloc_obj_attr_u::hwloc_cache_attr_s::type

Cache type.

The documentation for this struct was generated from the following file:

- hwloc.h